#define CHUNK_SIZE (256*512)	/* Size of chunks in old tystream */


struct chunk_rec {              /* TiVo format of a chunk record */
  u_int8_t size[3];
  u_int8_t type;
  u_int8_t unknown[12];
};

/* The TiVo produces AUDIO_RECORD and VIDEO_RECORDs. as well as some weird
 * ones whose size is really 0. I have created several other records so as
 * to distinguish timestamps and 4-byte video records.
 */

#define WEIRD0x1_RECORD 0x01	/* Weird records that we don't know about */
#define WEIRD0x2_RECORD 0x02
#define WEIRD0x3_RECORD 0x03
#define WEIRD0x4_RECORD 0x04
#define WEIRD0x5_RECORD 0x05

#define AUDIO_RECORD    0xc0	/* Audio data */
#define VIDEO_RECORD    0xe0	/* Video data */
#define VIDEO_RECORD2   0xf0	/* Video data, always mapped to VIDEO_RECORD */


#define FROM_CHUNK_SIZE(s) ((s[0] << 8 | s[1]) << 4 | (s[2] >> 4))

#define PICTURE_START 0x00 /* After a 0x0, 0x0, 0x1 marker, look for either */
#define GROUP_START   0xb8 /* video frame start, or a group of pictures start */
#define SEQUENCE_START 0xb3

#define PICTURE_CODING_MASK              0x38
#define PICTURE_CODING_SHIFT             0x03
#define PICTURE_CODING_INTRA             0x01           /* I-frame marker */
#define PICTURE_CODING_PREDICTIVE        0x02           /* P-frame marker */
#define PICTURE_CODING_BIDIRECTIONAL     0x03           /* B-frame marker */
