#include "defines.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "new_tystream.h"
#include "old_tystream.h"
#include "libplayit.h"

int Debug=0;
FILE *zout=NULL;
u_int8_t *read_chunk(u_int32_t chunknum);

static void usage(void)
{
  printf("getchunks [options] <infile> <outfile> start_chunk stop_chunk\n");
  printf("options:\n");
  printf("  -v                 verbose\n");
  printf("  -h                 help\n");
  exit(1);
}

int main(int argc, char *argv[])
{
  char *fname;
  int chunk=0;
  u_int32_t numchunks;
  u_int32_t start,stop;
  extern int optind;
  int i, c;
  u_int8_t *buf;

  while ((c = getopt(argc, argv, "vh")) != -1) {
    switch (c) {
    case 'v': Debug++; break;
    case 'h':
    default: usage();
    }
  }

  argc -= optind;
  argv += optind;

  if (argc < 2) usage();
  start= atoi(argv[2]);
  stop= atoi(argv[3]);

  fname=argv[1];
  zout=fopen(fname, "w");
  if (zout==NULL) { printf("Can't write file %s\n",fname); exit(1); }

  fname=argv[0];
  i=open_new_tystream(fname, &numchunks, &c);
  if (i==0) { printf("Can't open %s\n",fname); exit(1); }
  if (stop>=numchunks) stop=numchunks-1;


  /* Loop over all the chunks */
  for (chunk=start; chunk <=stop; chunk++) {

    buf=read_chunk(chunk);
    if (buf==NULL) exit(1);

    fwrite(buf, 1, 128 * 1024, zout);
  }
  return(0);
}
