#include "defines.h"
#include <sys/types.h>
#include <stdio.h>
#include <unistd.h>
#include "new_tystream.h"
#include "old_tystream.h"
#include "libplayit.h"

int Debug=0;

static void usage(void)
{
  printf("typarse [options] <infile>\n");
  printf("options:\n");
  printf("  -v                 verbose\n");
  printf("  -h                 help\n");
  exit(1);
}

int main(int argc, char *argv[])
{
  char *fname;
  int i, chunk=0;
  u_int32_t numchunks;
  extern int optind;
  int c;
  struct new_ty_node *H;

  while ((c = getopt(argc, argv, "vh")) != -1) {
    switch (c) {
    case 'v': Debug++; break;
    case 'h':
    default: usage();
    }
  }

  argc -= optind;
  argv += optind;

  if (argc < 1) usage();
  fname = argv[0];

  i=open_new_tystream(fname, &numchunks, &c);
  if (i==0) { printf("Can't open %s\n",fname); exit(1); }

  for (chunk=0; chunk < numchunks;) {
    c=chunk;
    H=read_group(c, &chunk);
    if (H==NULL) break;
    print_newtylist(H, c);
  }
  return(0);
}
