#include "defines.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "new_tystream.h"
#include "old_tystream.h"
#include "cuts.h"
#include "nplayitsam.h"
#include "libplayit.h"

int Debug=0;
int SeparateFiles=0;

static void usage(void)
{
  printf("nvcut [options] <infile> <audiofile> <videofile> numbers\n");
  printf("options:\n");
  printf("  -v                 verbose\n");
  printf("  -s                 make new files after every cut\n");
  printf("  -h                 help\n");
  exit(1);
}

int main(int argc, char *argv[])
{
  char *fname;
  u_int32_t numchunks;
  extern int optind;
  int i, c;
  int is_start=1;
  int how=CMD_CEND;

  while ((c = getopt(argc, argv, "vsh")) != -1) {
    switch (c) {
    case 'v': Debug++; break;
    case 's': SeparateFiles++; how= CMD_CENDSPLIT; break;
    case 'h':
    default: usage();
    }
  }

  argc -= optind;
  argv += optind;

  if (argc < 3) usage();
  fname = argv[0];

  i=open_new_tystream(fname, &numchunks, &c);
  if (i==0) { printf("Can't open %s\n",fname); exit(1); }

  for (i=3; i<argc; i++) {
    c=atoi(argv[i]);
    if (is_start) add_cut_start(c);
    else add_cut_end(c, how);
    is_start= 1 - is_start;
  }

  list_cuts(0);
  split_stream(argv[1],argv[2]);
  return(0);
}
