#include "defines.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "new_tystream.h"
#include "old_tystream.h"
#include "cuts.h"
#include "nplayitsam.h"
#include "libplayit.h"

int Debug=0;
int SeparateFiles=0;

static void usage(void)
{
  printf("split [options] <infile> <audiofile> <videofile>\n");
  printf("options:\n");
  printf("  -v                 verbose\n");
  printf("  -h                 help\n");
  exit(1);
}

int main(int argc, char *argv[])
{
  char *fname;
  extern int optind;
  int i, c;
  u_int32_t numchunks;

  while ((c = getopt(argc, argv, "vh")) != -1) {
    switch (c) {
    case 'v': Debug++; break;
    case 'h':
    default: usage();
    }
  }

  argc -= optind;
  argv += optind;

  if (argc != 3) usage();
  fname = argv[0];

  i=open_new_tystream(fname, &numchunks, &c);
  if (i==0) { printf("Can't open %s\n",fname); exit(1); }

  /* This gets rid of the implicit cut at chunk 0 */
  add_cut_start(NO_PENDING_CUTSTART);
  split_stream(argv[1],argv[2]);
  return(0);
}
